#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#define TAILLE_MAX 10

void
afficherTableau(int t[], int n){
  for(int i=0 ; i<n ; i++){
    printf("%d ",t[i]);
  }
  printf("\n");
}


int 
main(int argc, char *argv[]){
  assert(argc >= 2 && argc <= TAILLE_MAX+1); 
  int t[TAILLE_MAX];   
  int n = argc-1;
  for( int i=0 ; i<n ; i++){
    t[i] = atoi(argv[i+1]);   /* conversion en entier */
  } 

  printf("Le tableau contient : \n");
  afficherTableau(t, n);
  
  n = inserer(t,n,15,3);
  afficherTableau(t, n);
  n = inserer(t,n,19,0);
  afficherTableau(t, n);
  n = inserer(t,n,27,TAILLE_MAX+2);
  afficherTableau(t, n);

  return EXIT_SUCCESS;
}
