#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#define TAILLE_MAX 10

void
afficherTableau(int t[], int n){
  for(int i=0 ; i<n ; i++){
    printf("%d ",t[i]);
  }
  printf("\n");
}



int 
main(int argc, char *argv[]){
  assert(argc >= 2 && argc <= TAILLE_MAX+1); 
  int t[TAILLE_MAX];   

  int n = 0;
  for( int i=0 ; i<argc-1 ; i++){
    int x = atoi(argv[i+1]);   /* conversion en entier */
    n = insererOrdonne(t, n, x);
    printf("t après %d insertion(s):",i+1);
    afficherTableau(t, n);
  } 

  printf("Le tableau contient : \n");
  afficherTableau(t, n);
  
  return EXIT_SUCCESS;
}
